<?php
/*
 * ------------------------------------------------------------------------
 * @version     4.3
 * @copyright   Copyright (C) 2021. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * Author:      Glenn Arkell
 * Website:     http://www.glennarkell.com.au
 * ------------------------------------------------------------------------
*/
// no direct access
defined('_JEXEC') or die;

use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Uri\Uri;

$moduleclass_sfx	= $params->get('moduleclass_sfx', '');
$ht = $params->get('header_tag');
$set_listheight = $params->get('set_listheight', 1);
$list_height = $params->get('list_height', 200);
if ($set_listheight) { $style = ' style="max-height:'.$list_height.'px;"'; } else { $style = '';}

HTMLHelper::stylesheet(Uri::base().'media/mod_glennsnewsletters/css/default.css');

?>

<div class="mod_glennsnewsletters" >
    <div id="myNewsletter<?php echo $module->id; ?>" class="newsletter">

        <?php  ?>
		<div class="newsletter-inner"<?php echo $style; ?>>
            <?php if (is_array($newsItems)) : ?>
				<?php foreach ($newsItems as $fitem) : ?>
					<p class="newsletter">
						<a class="newsletter" href="<?php echo $fitem->newsfile; ?>" target="_blank" alt="<?php echo $fitem->title; ?>">
							<?php echo $fitem->title; ?>
						</a>
					</p>
	
	            <?php endforeach; ?>
            <?php endif ; ?>

    	</div>
	</div>
	<div style="clear:both;"></div>
</div>