CREATE TABLE IF NOT EXISTS `#__ganewsletter_newsletters` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11)  NOT NULL DEFAULT 0,
`state` TINYINT(1)  NOT NULL DEFAULT 0,
`checked_out` INT(11)  NOT NULL DEFAULT 0,
`checked_out_time` DATETIME NULL,
`created_by` INT(11)  NOT NULL DEFAULT 0,
`created_date` DATETIME NULL,
`modified_by` INT(11)  NOT NULL DEFAULT 0,
`modified_date` DATETIME NULL,
`title` VARCHAR(255) NULL,
`article_list` VARCHAR(2048) NULL,
`publish_date` DATETIME NULL,
`catid` INT(11)  NOT NULL DEFAULT 0,
`pdf_gen` TINYINT(1)  NOT NULL DEFAULT 0,
`comment` TEXT NULL,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;


INSERT INTO `#__content_types` (`type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `content_history_options`)
SELECT * FROM ( SELECT 'Newsletter','com_ganewsletter.newsletter','{"special":{"dbtable":"#__ganewsletter_newsletters","key":"id","type":"NewsletterTable","prefix":"GlennArkell\\\\Component\\\\Ganewsletter\\\\Administrator\\\\Table\\\\"}}', CASE
                                WHEN 'rules' is null THEN ''
                                ELSE ''
                                END as rules, CASE
                                WHEN 'field_mappings' is null THEN ''
                                ELSE ''
                                END as field_mappings, '{"formFile":"administrator\/components\/com_ganewsletter\/forms\/newsletter.xml", "hideFields":["checked_out","checked_out_time","params","language" ,"comment"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"group_id","targetTable":"#__usergroups","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}') AS tmp
WHERE NOT EXISTS (
	SELECT type_alias FROM `#__content_types` WHERE (`type_alias` = 'com_ganewsletter.newsletter')
) LIMIT 1;

